mbedOS client example, modified to push X-Nucleo-IKS01A1/2 Environmental Sensor data to mbed Cloud Connector.

Dependencies:   X_NUCLEO_IKS01A1 X_NUCLEO_IKS01A2

The application is derived from the official mbedOS client example (link) and has been tested using a X-NUCLEO-IKS01A2 (default) or a X-NUCLEO-IKS01A1 motion and environmental sensors expansion board connected to a ST NUCLEO-F429ZI platform.
The following steps should be performed to make the application work:

  • Register and login into ARM mbed Connector.
  • Replace the default and empty security.h file with the one associated with your account and provided by the Connector (Security Credentials menu).
  • In order to use X-NUCLEO-IKS01A1 instead of default X-NUCLEO-IKS02A1 comment out the IKS01A2 macro definition in main.cpp file.
  • Choose NUCLEO-F429ZI as a target either from online compiler or from CLI, compile and flash.
  • Connect the board to your ethernet network, open a serial terminal (params 115200N1) and wait that the client is connected to the mbed Connector.
  • Press user button to start acquiring and pushing the environmental (pressure, temperature and humidity) data.

Note: environmental data are expressed using IPSO representation based on OMA LWM2M standard.

Revision:
0:003e60a0deb8
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/build_all.sh	Wed Apr 26 18:23:56 2017 +0200
@@ -0,0 +1,61 @@
+#!/bin/bash  
+#
+set -e
+TOOL=GCC_ARM
+
+echo Compiling with $TOOL
+echo Ethernet v4
+cp configs/eth_v4.json ./mbed_app.json
+cp configs/eth-wifi-mbedignore ./.mbedignore
+mbed compile -m K64F -t $TOOL
+cp BUILD/K64F/$TOOL/mbed-os-example-client.bin k64f-$TOOL-eth-v4.bin
+mbed compile -m NUCLEO_F429ZI -t $TOOL
+cp ./BUILD/NUCLEO_F429ZI/$TOOL/mbed-os-example-client.bin f429zi-$TOOL-eth-v4.bin
+mbed compile -m UBLOX_EVK_ODIN_W2 -t $TOOL
+cp ./BUILD/UBLOX_EVK_ODIN_W2/$TOOL/mbed-os-example-client.bin ublox-odin-$TOOL-eth-v4.bin
+
+echo Ethernet v6
+cp configs/eth_v6.json ./mbed_app.json
+cp configs/eth-wifi-mbedignore ./.mbedignore
+mbed compile -m K64F -t $TOOL
+cp BUILD/K64F/$TOOL/mbed-os-example-client.bin k64f-$TOOL-eth-v6.bin
+mbed compile -m NUCLEO_F429ZI -t $TOOL
+cp ./BUILD/NUCLEO_F429ZI/$TOOL/mbed-os-example-client.bin f429zi-$TOOL-eth-v4.bin
+mbed compile -m UBLOX_EVK_ODIN_W2 -t $TOOL
+cp ./BUILD/UBLOX_EVK_ODIN_W2/$TOOL/mbed-os-example-client.bin ublox-odin-$TOOL-eth-v6.bin
+
+echo WIFI - ESP8266 
+cp configs/wifi_esp8266_v4.json ./mbed_app.json
+cp configs/eth-wifi-mbedignore ./.mbedignore
+mbed compile -m K64F -t $TOOL
+cp BUILD/K64F/$TOOL/mbed-os-example-client.bin k64f-$TOOL-esp-wifi-v4.bin
+mbed compile -m NUCLEO_F429ZI -t $TOOL
+cp ./BUILD/NUCLEO_F429ZI/$TOOL/mbed-os-example-client.bin f429zi-$TOOL-esp-wifi-v4.bin
+
+echo WIFI - ODIN for UBLOX_EVK_ODIN_W2
+cp configs/wifi_odin_v4.json ./mbed_app.json
+cp configs/eth-wifi-mbedignore ./.mbedignore
+mbed compile -m UBLOX_EVK_ODIN_W2 -t $TOOL
+cp ./BUILD/UBLOX_EVK_ODIN_W2/$TOOL/mbed-os-example-client.bin ublox-odin-$TOOL-wifi-v4.bin
+
+echo 6-Lowpan builds
+cp configs/mesh_6lowpan.json ./mbed_app.json
+cp configs/mesh-mbedignore ./.mbedignore
+mbed compile -m K64F -t $TOOL
+cp BUILD/K64F/$TOOL/mbed-os-example-client.bin k64f-$TOOL-6lowpan.bin
+mbed compile -m NUCLEO_F429ZI -t $TOOL
+cp ./BUILD/NUCLEO_F429ZI/$TOOL/mbed-os-example-client.bin f429zi-$TOOL-6lowpan.bin
+
+echo 6-Lowpan Sub-1 GHz builds
+cp configs/mesh_6lowpan_subg.json ./mbed_app.json
+cp configs/mesh-mbedignore ./.mbedignore
+mbed compile -m NUCLEO_F429ZI -t $TOOL
+cp ./BUILD/NUCLEO_F429ZI/$TOOL/mbed-os-example-client.bin f429zi-$TOOL-6lowpan-subg.bin
+
+echo Thread builds
+cp configs/mesh_thread.json ./mbed_app.json
+cp configs/mesh-mbedignore ./.mbedignore
+mbed compile -m K64F -t $TOOL
+cp BUILD/K64F/$TOOL/mbed-os-example-client.bin k64f-$TOOL-Thread.bin
+mbed compile -m NUCLEO_F429ZI -t $TOOL
+cp ./BUILD/NUCLEO_F429ZI/$TOOL/mbed-os-example-client.bin f429zi-$TOOL-Thread.bin